%global enable_tests 1
%global module_name is-my-json-valid

Name:           nodejs-%{module_name}
Version:        2.12.4
Release:        4%{?dist}
Summary:        A JSONSchema validator that uses code generation to be extremely fast

License:        MIT
URL:            https://github.com/mafintosh/is-my-json-valid
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(jsonpointer)
BuildRequires:  npm(generate-object-property)
BuildRequires:  npm(generate-function)
BuildRequires:  npm(xtend)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep end-of-stream ~1.x
%nodejs_fixdep jsonpointer

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json formats.js index.js require.js \
    %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tape test/*.js
%endif

%files
%doc README.md example.js
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.12.4-1
- Update to 2.12.4

* Tue Nov 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.12.3-1
- Update to 2.12.3

* Wed Nov 11 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.12.2-1
- Initial packaging

